About Microsoft Visio directory services diagrams

With Microsoft Visio's three directory services templates you can design new directories, create alternative designs for existing directories, or create plans for updating or migrating your current network's directory service. You can plan and allocate current and future network resources, and design network policies and guidelines before the physical network is in place.

The three directory services templates are:

  • LDAP Directory (Lightweight Directory Access Protocol)
  • Active Directory
  • Novell Directory Services (NDS)


About LDAP Directory (Lightweight Directory Access Protocol) diagrams

The LDAP Directory (Lightweight Directory Access Protocol) template is one of three Microsoft Visio directory services templates. The other two are for creating Active Directory and Novell Directory Services (NDS) diagrams.

With the LDAP Directory template you can document and diagram a migration of an existing directory service to an LDAP-compliant directory service, diagram a new service, or document an existing service that you are planning to change. You can use the directory services templates to physically design your service and assign values, set policies, and permissions to each network object.

The LDAP Directory template opens with

  • A blank drawing page.
  • Stencils of LDAP shapes.
  • The Directory Navigator, a window that contains the classes and properties associated with LDAP objects and also displays the structure of your directory.

Document and diagram a directory service database


About Active Directory diagrams

The Active Directory template is one of three Microsoft Visio directory services templates. The other two are for creating Novell Directory Services (NDS) and LDAP Directory (Lightweight Directory Access Protocol) diagrams.

With the Active Directory template you can document and diagram a migration of your existing directory service to a Microsoft Windows 2000 Active Directory service, diagram a new service, or document an existing service that you are planning to change. You can use the solution to physically design the service and assign values, set policies, and permissions to each network object.

You can also use the objects on the Active Directory stencils to set up sites and services information, a graphical representation of the relationships of domains, sites, and services to each other on the network.

The Active Directory template opens with:

  • A blank drawing page.
  • Stencils of Active Directory shapes. Microsoft Exchange shapes are also included.
  • The Directory Navigator, a window that contains the classes and properties associated with Active Directory objects and also displays the structure of your directory.

Document and diagram a directory service database


About Novell Directory Services (NDS) diagrams

The Novell Directory Services (NDS) directory service template is one of three Microsoft Visio directory services templates. The other two are for creating Active Directory and LDAP Directory (Lightweight Directory Access Protocol) diagrams.

With the Novell Directory Services template you can document and diagram the migration of an existing directory service to a Novell directory service, diagram a new NDS service, or document an existing service that you are planning to change. You can use the template to physically design the service and assign values, set policies, and permissions to each network object, and to set up partition information

The Novell Directory Services template opens with

  • A blank drawing page.
  • Stencils of NDS shapes.
  • Optional stencils of Novell GroupWise and Novell ZENworks shapes.
  • The Directory Navigator, a window that contains the classes and properties associated with NDS objects and also displays the structure of your directory.

Document and diagram a directory service database


About classes, properties, and objects (Directory services)

Classes and properties provide the foundation for the objects in the Directory Navigator and also on the drawing page. Classes and properties vary according to the directory service schema, so the classes and properties applicable to one directory service may not be the same in another.

Classes

Classes are items in the schema that have properties, but no assigned values. The classes displayed in the Directory Navigator are default classes defined by the directory service. Once a class is added to the [Sub Tree] level of the Directory Navigator and to the directory diagram, it becomes an object to which you can assign values.

In the schema, some classes are categorized as virtual/abstract. Virtual/abstract classes are dimmed in the schema. Virtual/abstract classes are primarily designed to act as superclasses to other class and are not designed to be included in a directory diagram. There is, however, a method you can use to add virtual classes to a directory diagram.

Properties

Properties are attributes that define a class. There are three types of properties:

Click to show or hide information. Mandatory properties

Properties that cannot be deleted after they are added to a class. If the class exists as an object and has mandatory properties, those properties can contain no null values, but may contain multiple values.

For example, if the User object has Telephone Number as a mandatory property, and Telephone Number has been indicated as allowing multiple values, you must enter, but are not limited to, at least one telephone number for its value.

Click to show or hide information. Optional properties

Properties, which like mandatory properties, cannot be deleted after they are added to a class. However, optional properties may contain null values. For example, if the User object has Telephone Number indicated as an optional property, a phone number is not required as a value.

Note If an optional property is used as a naming property for an object, it is treated as a mandatory property.

Click to show or hide information. Extended properties

User-defined properties for objects. Extended properties cannot be added directly to a class, but can be added to a class once you drag the object to the [Sub Tree] level or drag it to the directory diagram. An extended property that you add to one object is not added to all objects of the same class. You can add or delete extended properties as needed.

Objects

Objects are views of classes that have specific values assigned to their properties. When a class is added to the directory diagram it becomes an object. Objects exist in the [Sub Tree] level as views of a class.


About the Directory Navigator (Directory services)

The Directory Navigator is a window that contains two main icons that represent the [Sub Tree] level and the Schema. The [Sub Tree] level displays the current structure of your directory diagram. The Schema contains the Classes and Properties that you need to document a network.

The Directory Navigator displays the [Sub Tree], representing your organization,and the default schema, which is comprised of classes and properties.

  1. The [Sub Tree] level displays the organizational structure of the directory diagram. Each object in this section represents a view of a class, or a class that has properties.
  2. The Schema holds both the Classes and Properties for the directory service.
  3. Classes are used to identify the objects in the directory service. These are the default classes provided by the directory service. You can add custom classes, and edit any class. Each shape on the stencils corresponds to a class. In the schema, some classes are defined as virtual/abstract. These classes are primarily designed to serve as superclasses to other classes, and are generally not used in a directory diagram. For this reason, they are dimmed in the schema.
  4. Properties are attributes that are used to define classes. You can add custom properties to define a class and edit any property.


Add objects to the Directory Navigator and the directory diagram (Directory services)

Use any of the following methods to add objects to the Directory Navigator and directory diagram:

Click to show or hide information. Drag a class from the schema to the directory diagram

  1. In the Directory Navigator, expand the Schema icon.
  2. Expand the Classes folder.
  3. Drag a class from the Directory Navigator to the directory diagram.

The class dragged to the directory diagram is added as an object to the [Sub Tree] level of the Directory Navigator.

Note You cannot add any class defined as a virtual class to the directory diagram.

Click to show or hide information. Add an object by dragging a shape from the stencil

Drag a shape from the stencil to the directory diagram.

The shape is added to the directory diagram and to the [Sub Tree] level in the Directory Navigator.

Note The Generic Object shape has no associated class. When you drag the Generic Shape onto the directory diagram, you are prompted to supply the base class. In the Select Class dialog box, select a class from the drop down list. If you are using the Microsoft Active Directory solution, you can also apply Microsoft Exchange classes. The shape then inherits that class's properties in the Directory Navigator and in the directory diagram.

Click to show or hide information. Add an object by dragging a shape onto an existing object in the directory diagram

Drag a shape from the stencil onto an existing object in the directory diagram

Note The Generic Object shape has no associated class. When you drag the Generic Shape onto the directory diagram, you are prompted to supply the base class. In the Select Class dialog box, select a class from the drop down list. If you are using the Microsoft Active Directory solution, you can also apply Microsoft Exchange classes. The shape then inherits that class's properties in the Directory Navigator and in the directory diagram.

The shape automatically connects as a child to that parent object in the directory diagram with a Directory Connector [image]. The relationship is also updated in the Directory Navigator.

Click to show or hide information. Add an object to the [Sub Tree] level by dragging a shape to the directory diagram

Drag a shape from a stencil, but do not drop it onto any other objects on the directory diagram.

The shape is added to the directory diagram and is added as a child of the [Sub Tree] level in the Directory Navigator. It stays as a child of the [Sub Tree] level until it is moved or connected to another object in the directory diagram.

Click to show or hide information. Add an object from the [Sub Tree] level of the Directory Navigator

  1. Drag an existing object from the [Sub Tree] level of the Directory Navigator to the directory diagram.
  2. In the Add Shapes To Page dialog box, do one of the following:
  • Select Add a shape for this entry to add only the selected shape to the directory diagram.
  • Select Add shape plus child shapes/number of levels to add the selected shape and then enter the number of child levels for the shape.
  3. Optional: Select Don't show this dialog box again if you do not want to be prompted when adding shapes from the [Sub Tree] level to the directory diagram. The action you choose for this dialog box will be the default action when dragging shapes from the Directory Navigator to the directory diagram.

Note You can reset the dialog box to prompt you for an action by pointing to the Directory Services menu, clicking Options, and then selecting Prompt To Add Child Views.

  4. Click OK.

The object and any child levels are added to the directory diagram in the same structure that they have in the Directory Navigator.

Note If an object from the Directory Navigator already exists on that page of the directory diagram, a warning box appears and informs you that the object exists on the page. That specific shape will not be dropped. You can, however, add that same object to a different page of the diagram where it does not yet exist.

Click to show or hide information. Add an object using the Directory Services menu

  1. Select an object in the Directory Navigator.
  2. On the Directory Services menu, click Add Entries.
  3. In the Add Entries dialog box, select the Entry class you want to add.

The Entry class list contains only the classes that are valid objects for that parent-child relationship.

  4. In the Number of entries field, enter the total number of entries for that class you want to add.
  5. Assign an optional name for each class of that type in the Entry names field.

You can simply type the new name over the original entry.

For example, when adding a Country object, you can type United States over C=Country.

  6. Click OK.

The number of entries and their names are added to the object selected in the Directory Navigator.

Note An object added to the [Sub Tree] level of the Directory Navigator is considered a view of that class. Adding a view of a class to the Directory Navigator does not automatically add it to the directory diagram.

You can add a view of an object to the directory diagram by dragging it from the Directory Navigator to the diagram.

Click to show or hide information. Add an object to the directory diagram using the shortcut menu

  1. Right-click an object on the directory diagram, and click Add Entries.
  2. In the Add Entries dialog box, select the Entry class you want to add.

The only classes available for addition are those that are valid objects for that parent-child relationship.

  3. In the Number of entries field, enter the total number of that class you want to add.
  4. Assign an optional name for each class of that type in the Entry names field. You can simply type over the original entry name with the new name.

For example, when adding a Country object, you can type United States over C=Country.

  5. Click OK.

The number of entries and their names are added to the object selected in the directory diagram, and as children to that same object in the Directory Navigator.

Note Objects added to the directory diagram are automatically added to the Directory Navigator as children to the object selected in the diagram.

Click to show or hide information. Add a class from the schema to the directory diagram

  1. In the Directory Navigator, expand the Schema icon.
  2. Expand the Classes folder.
  3. Drag a class from the Directory Navigator to the directory diagram.

The class dragged to the directory diagram is added as an object to the [Sub Tree] level of the Directory Navigator.

Note You cannot add any class defined as a virtual class to the directory diagram

After adding objects to a directory diagram, you can then manually connect one object to another if you have not already done so.

Click to show or hide information. How?

  1. Drag the Directory connector [image] to the directory diagram.
  2. Drag one connector begin point [image] to the top or bottom connection point [image] of the parent object.
  3. Drag the other endpoint to the top or bottom connection point of the child object.

The objects are correctly connected. The relationship in the Directory Navigator is also updated.

Note You must always connect the bottom of the parent object to the top of the child object for the relationship to be correctly established.

The top of the User object must be connected to the bottom of the Organizational Unit object. This also automatically connects the objects in the Directory Navigator. This example shows an Active Directory user object as a child of an organizationalUnit parent object.


Change the layout and spacing of a directory diagram (Directory services)

When you drag a parent object with children to the directory diagram, objects in the directory diagram are automatically laid out.

You can do the following:

Click to show or hide information. Manually lay out children

  1. In the directory diagram, right-click the parent object that has children whose layout you want to change.

Note If you do not select an object, a warning message appears informing you that you must first select a parent object.

  2. On the Directory Services menu, click Lay Out Children.

Click to show or hide information. Manually lay out the spacing between objects

  1. In the directory diagram, select the object whose spacing you want to change.
  2. On the Directory Services menu, click Change Layout Spacing.
  3. Choose the spacing options you want, and then click OK.

Note To set the default behavior so that objects in the directory diagram are not automatically laid out, on the Directory Services menu, click Options, and then clear the Enable auto layout check box.


Delete objects from the Directory Navigator and the directory diagram

You can delete objects from both the Directory Navigator and the directory diagram. Objects deleted from the Directory Navigator are also deleted from the directory diagram along with any subsequent child levels.

Objects deleted from the diagram are not deleted from the Directory Navigator. This allows you to remove the current representation of the object from the diagram, but still allows the object to be added back to the diagram at a later time.

There are two ways to delete objects:

Click to show or hide information. Delete the object and its child levels from the Directory Navigator

In the Directory Navigator right-click the object you want to delete, and then click Delete Entry.

The object and all of its child levels are deleted from both the Directory Navigator and the directory diagram.

Note To change the delete behavior, point to the Directory Services menu, then click Options. Check Prompt to delete all instances if you want to be prompted with the Delete Entry dialog box each time you delete an object.

Click to show or hide information. Delete the object from the directory diagram

In the directory diagram, click the object you want to delete, and then click Delete.

The object is deleted from the page.

You can change the default behavior so you are prompted when you attempt to delete any view of an element, or so you are never prompted and deleting an element's last view automatically deletes the element from the Directory Navigator.

Click to show or hide information. How?

  1. On the Directory Services menu, click Options.
  2. In the Directory Services Options dialog box, change default behavior options.


Modify an object by adding values (Directory services)

  1. Right-click the object whose properties you want to modify in the [Sub Tree] level of the Directory Navigator or in the directory diagram, and then choose Edit Properties from the shortcut menu.

The Edit Properties dialog box opens with the mandatory properties displayed. The object's Qualified Name appears at the top of the dialog box.

  2. In the Value field, enter a new value for each property whose value you want to change.

You can simply type over the original entry name with the new name. For example, if the value currently displays C=Country, you can type United States for the value.

Note Values entered for a property are not validated. When you enter a value, make sure that the value type is the right type and length, or an error may result.

If a property can support multiple values, separate each value with a semi-colon (;); do not use any spaces between the values and the semi-colon (;) sign.

  3. Select Show Optional Properties to display the list of optional properties for the object.
  4. Click in the Value field and enter a new value for each optional property whose value you want to change.
  5. Select Show Extended Properties to show the extended properties for the object and to add or delete extended properties.
  6. Click in the Value field and enter a new value for each extended property whose value you want to change, or click Add to add a new extended property.

Important Objects based on the same class that share the same parent must have different names.


Modify the parent-child relationship in a directory diagram (Directory services)

Use any of the following methods to reposition objects to create new parent-child relationships:

Click to show or hide information. Move an object to a new parent in the Directory Navigator

Click to select the parent object in the Directory Navigator, and then drag it from one parent to another in the Directory Navigator

The object and all child levels move to the new parent. If the objects are in the directory diagram, they also move.

If the child and original parent are in the directory diagram, but the new parent is not, the Directory connector between the child and the original parent is broken in the diagram. You cannot move multiple objects. If you select multiple objects and attempt to move them, you will only move the objects to a different location on the drawing page and not to a new parent.

Note Objects based on the same class that share the same parent must have different names.

Click to show or hide information. Move an object to a new parent in the directory diagram

Drag an object from its current location to a new parent container in the directory diagram.

Note You cannot multi-select objects and move them.

The parent-child relationship is updated in both the Directory Navigator and the diagram.

If you are dragging an object to one of that object's child levels so that the child becomes the new parent, you must first delete the Directory connector [image] that connects the child object to its parent. After deleting the connector, drag the object onto the child object. The child object becomes the new parent. The relationship is also updated in the Directory Navigator.

Note Objects based on the same class that share the same parent must have different names.

Click to show or hide information. Switch the relationship of parent and child objects

  1. In the directory diagram, delete the Directory connector [image] that connects the child object to the rest of the diagram.
  2. Drag the parent object on top of the disconnected former child object.

The parent object (and its remaining connected children, if any) becomes the child of the disconnected former child object. The latter becomes the new parent.

Note Objects based on the same class that share the same parent must have different names.

Click to show or hide information. Change an object's location in a directory diagram

Note By doing this you are only rearranging the objects on the drawing page and not modifying the parent-child relationship.

  1. Select the object in the directory diagram.
  2. On the Directory Services menu, click Move Shape Left/Up or Move Shape Right/Down.

The selected object is exchanged with the object to its left or right. Any child levels will move in the exchange.

Note Objects based on the same class that share the same parent must have different names.


Partition NDS network objects (Directory services)

The NDS Partitions stencil contains the shapes used for partitioning data in a Novell Directory Services (NDS) tree. Because a partition itself contains no data, there are no associated classes and properties. As a result, you will not be able to assign values to a partition shape. Partition shapes are not displayed in the Directory Navigator, but are visible in the directory diagram.

After creating a partition in the directory diagram, you can then create replication connections to determine how the data in data storage devices is replicated.

Click to show or hide information. Use the Replication connection shape

  1. Drag the Replication connection shape to the directory diagram.
  2. Glue a begin point [image] on the Replication connection shape to a connection point [image] on a Server or a Database shape.
  3. Glue the end point [image] of the Replication connection shape to a connection point [image] on another Server or Database shape.

This creates the connection between the two data stores.

  4. Right-click the Replication connection shape and choose Unidirectional or Bi-directional from the shortcut menu.

Click to show or hide information. Use a Smart partition, WAN, Partition 4, or Partition 4 w/fade shape.

  1. Drag a Smart partition, Partition, WAN, or Partition w/fade shape onto an object that serves as the parent object in the directory diagram.
  2. Glue a control handle [image] from the Smart partition shape to a connection point [image] on a child object.
  3. Repeat steps 1 and 2 to include up to eight objects in this partition.

Note: When partitioning data, remember that:

  • There can be only one top-level object in a partition, called the partition root object. Do not confuse a partition root object with the [Sub Tree] level object in the Directory Navigator.
  • If an object is not in some way connected to a top-level partition root object, it cannot be included in the partition.
  • You cannot use multiple peer objects in the same partition if there is no common parent container object.


Set sites and services information

The Active Directory Sites and Services stencil contains the shapes used to graphically represent the relationships of domains, sites, and services to each other on the network. The shapes on this stencil are designed for use in planning a directory or network, or for planning the distribution and replication of information among different servers at different sites.

Note Because the shapes on the Active Directory Sites and Services stencil are intended for planning only, they are not linked to an Active Directory schema. Because of this they have no properties that you can assign, edit, or delete, and no automatic layout behavior. This limitation applies only to the sites and services shapes on this stencil. If you want to use sites and services shapes that are linked to the schema, use the shapes located on the Active Directory Objects stencil.

Click to show or hide information. Site shapes

The site shapes represent areas of good network connectivity, and are used to define a LAN (local area network) or a group of LANs connected at LAN speeds.

Click to show or hide information. Domain shapes

The domain shapes exist within a site or sites, and are used to define security and administrative boundaries in a network. A domain may have only one domain controller. There may be multiple domain controllers in one site or many sites. The domain controller shapes are used to represent a Microsoft Windows 2000 domain controller or a Microsoft Windows NT 4.0 primary or backup domain controller. When a domain shape is added to a site shape, it is automatically grouped with that site and will move if the site shape moves.

Click to show or hide information. Site link shapes

Site link shapes are used to represent inter-site transport links. Site links are not considered to be transitive. The Site link bridge shape is used to indicate a set of site links that have been joined together to form a larger link, or a bridge.

Click to show or hide information. Replication connection shapes

After setting up servers, sites, and domains, use the Replication connection shape to represent intersite replication between two domain controllers.


Edit Property Definition dialog box (Directory services)

Click to show or hide information. Property Name

The name of the property. Each property must have a unique name within the schema.

Click to show or hide information. Property Identifier

Optional: Identifies the property as a string or as a numeral. Default schema properties may have preassigned property identifiers, set by IOS (International Organization for Standardization) or set in combination with IOS and your organization.

Click to show or hide information. Syntax

Sets the format type for values.

Click to show or hide information. Maximum Size

Sets the maximum number of characters allowed for the value of the field.

Click to show or hide information. Allow Multiple Values

Indicates whether more than one value can be entered for the property. For example, the User class can have Telephone Number as a mandatory property. However, many users have multiple phone numbers. In this case, selecting this option allows you to enter multiple telephone numbers.


Lay Out Children dialog box (Directory services)

Choose the layout you want for the child shapes of the parent shape you have selected.


Layout Spacing dialog box (Directory services)

Specifies the spacing between some or all of the shapes in a directory diagram.

Click to show or hide information. Tighter

Moves the objects closer to one another for a tighter layout.

Click to show or hide information. Looser

Moves the objects farther apart for a looser layout.

Click to show or hide information. Custom

Click this option, and then click Spacing, to choose a layout type and set the exact spacing you want between parent and child objects and between child objects.

Click to show or hide information. Selected Shape

Applies the layout spacing you choose to the object or objects you selected before you opened the dialog box.

Click to show or hide information. Current Page

Applies the layout spacing you choose to all the objects on the page that is currently displayed.

Click to show or hide information. All Pages

Applies the layout spacing you choose to all the objects on all pages of your directory diagram drawing.


Directory Services Options dialog box

Click to show or hide information. Show Navigator

Shows or hides the Directory Navigator.

Click to show or hide information. Show Qualified Names

Shows the Qualified Name of the object. The default shows the Unqualified Name.

Click to show or hide information. Enable Auto Layout

Automatically lays out the structure of parent objects with children when the objects are dragged to the directory diagram.

Click to show or hide information. Prompt To Add Child Views

Always prompts you to indicate how many child levels you want to add to the diagram when dragging an object with child levels from the Directory Navigator to the directory diagram.

Click to show or hide information. Prompt To Delete All Instances

Sets the default delete action to prompt you to delete the view of the object on the drawing page and also from the [Sub Tree] level of the Directory Navigator.


Add Entries dialog box (Directory services)

Click to show or hide information. Entry Class

Select an entry class to add to an object. The list of available entries shows only those classes that are valid for that entry class.

Click to show or hide information. Number Of Entries

Enter the number of entries of the selected class that you want to add to the object.

Click to show or hide information. Entry Names

Optional: Assign an entry name for each selected class that you're adding to the object. This is the name that appears on the object in the Directory Navigator and in the directory diagram.

Any class for which you do not assign a name will take the default name of the class. The default name is the Class Name plus any naming properties. For example, the default name for the object User is cn=User, where cn is the Common Name naming property, and User is the default Common Name.


Edit Properties dialog box (Directory services)

Click to show or hide information. Property Label

Displays the list of properties assigned to the object.

Click to show or hide information. Value

Specifies a value for the property. This field also displays any values mandatory or optional properties.

Some mandatory or optional properties cannot be interpreted from the schema by the directory services solution. A message appears in the Values field that states "Unable to display value string." You will not be able see or modify these property values.

Click to show or hide information. Show Optional Properties

Displays all optional properties assigned to the object.

Click to show or hide information. Show Extended Properties

Displays the extended properties for the object, or to add or delete any extended properties.

Click to show or hide information. Add

Adds an extended property to the object.

Click to show or hide information. Delete

Deletes an extended property from the object.


Add Shapes To Page dialog box (Directory services)

Click to show or hide information. Add A Shape For This Entry

Copies only the selected object from the Directory Navigator to the directory diagram.

Click to show or hide information. Add Shape Plus Child Shapes/Number Of Levels

Copies the selected object and a specified number of child levels from the Directory Navigator to the directory diagram.

Click to show or hide information. Don't Show This Dialog Box Again

Stops the Add Shapes To Page dialog box from appearing and makes the last type of action you chose for adding an object to a page the default.

To reset this option, on the Directory Services menu, click Options, and then click Prompt to add child views.


Add Property dialog box (Directory services)

Allows you to add mandatory, optional, and extended properties to a class. You can access this dialog box by:

  • Creating a custom class and assigning mandatory and optional properties.
  • Adding extended properties to an object in the Directory Navigator or in the directory diagram.

Click to show or hide information. Select Property

Assign a property to a class as either mandatory or optional. You can add multiple properties. This list contains all properties from the directory's schema, including any custom properties.


Edit Class dialog box (Identity tab) (Directory services)

Click to show or hide information. Class Name

Displays a unique name for the class. A class must have a unique name and cannot use the same name as an existing class within the directory schema.

Click to show or hide information. Class Identifier

Optional: Identifies the class as a string or a numeral. Default schema classes may have preassigned class identifiers, set by IOS (International Organization for Standardization) or in combination with IOS and your organization.

Click to show or hide information. Naming Properties

Displays the properties that control the display of the class name in the Directory Navigator and directory diagram. The naming properties are automatically set for the default schema classes, but must be set manually for custom classes.


Edit Class dialog box (Properties tab) (Directory services)

Click to show or hide information. Mandatory Properties

Adds the properties which cannot be deleted from the class and which require values.

Click to show or hide information. Optional Properties

Adds the properties which cannot be deleted from the class but which do not require values.

Click to show or hide information. Add

Used to add both mandatory and optional properties to a specified class.

Click to show or hide information. Delete

Used to delete mandatory and optional properties from a specified class if the class does not exist in the Directory Navigator or in the directory diagram as an object.


Edit Class dialog box (Advanced tab) (Directory services)

Click to show or hide information. Superclass

Specifies the class from which this new class inherits its properties.

Click to show or hide information. Description

Optional: Describes why the current class inherits attributes from another class.

Click to show or hide information. Auxiliary Superclasses

Optional: Indicates additional classes as superclasses. The class inherits these auxiliary superclass properties. However, if there is a conflict between the properties of an auxiliary superclass and the main superclass, the main superclass properties always take precedence.

Click to show or hide information. Virtual/Abstract

A class for which you cannot create an instance. You can, however, set the class to behave as a superclass for another class.

A class selected as Virtual/Abstract will be dimmed in the schema. You cannot directly add a Virtual/Abstract class to a directory diagram. You can, however, temporarily modify a class so that it is not classified as Virtual/Abstract and then add that class to a diagram.

Click to show or hide information. Container

Indicates that the class acts as a container object.

Click to show or hide information. Extensible

Allows you to add extended properties to an object.


Select Class dialog box (Directory services)

Click to show or hide information. Select A Class For This Entry

Select a class for the Generic Object shape whose properties will apply to the shape. The list of classes is obtained from the schema and varies for each directory service.


Custom Layout Spacing dialog box (Directory services)

Customize the spacing between some or all of the shapes in a directory service diagram.

Click to show or hide information. Layout Type

Choose the layout type whose spacing you want to customize. The preview indicates the relevant spaces between objects for the type of layout you choose.

Click to show or hide information. Fixed Distance

Choose or type the fixed offset you want. The amount you type is added to the offset determined by the % Of Width offset. Specifying a % Of Width offset of 100% and a fixed offset of .25 units will keep the left side of the child object .25 units to the right of the right side of the parent object, regardless of the parent object's width.

Click to show or hide information. % Of Width

Choose or type the proportional offset you want. If you change box size, the offset distance changes proportionally. Specifying 100% will always keep the left side of the subordinate shapes directly under the right side of the superior shape, regardless of the superior shape's width.

Click to show or hide information. Vertical Spacing

Choose or type the amount of vertical space you want between child objects at the same level.

Click to show or hide information. Horizontal Spacing

Choose or type the amount of horizontal space you want between child objects at the same level.

Click to show or hide information. Spacing To Subordinates

Choose or type the amount of space you want between a parent object and its child objects.

Click to show or hide information. Apply

Click to apply the custom spacing values you've chosen. Clicking Apply gives you a chance to review the changes before you close the dialog box.


Change Root DN dialog box (Directory services)

Click to show or hide information. Distinguished Name of Root

Allows you to change the naming context for your diagram for export into an existing directory tree structure, or to specify a Root distinguished name for a new directory tree. When you change the Root distinguished name, you must always use the syntax specified by the directory service to format the text that separates objects.


Document and diagram a directory service database

  1. On the File menu, point to New, point to Network, and then click Active Directory, LDAP Directory, or Novell Directory Services.

The directory service schema opens, along with the following:

  • The selected directory service's template, which includes stencils of shapes.
  • A blank drawing page for diagramming the directory service.
  • The Directory Navigator, a window that contains the classes and properties associated with the directory service's objects and which also displays the structure of your directory diagram.
  2. Add objects to, or delete an object from, the drawing page to create a directory diagram.

How?

  3. Optional: do any or all of the following:

Assign naming properties

Change an object's name

Change the layout and spacing of a directory diagram

Delete objects from the Directory Navigator and the directory diagram

Modify an object by adding values

Move objects in the Directory Navigator and the directory diagram


Add a custom class to the schema (Directory services)

  1. In the Directory Navigator, expand the Schema icon.
  2. Right-click the Classes folder, and then choose Add Entry Class from the shortcut menu.
  3. On the Identity tab, enter a name in the Class name field that identifies the class in the schema.

Note Class names must be unique for each schema. You cannot have more than one class with the same name.

  4. In the Class identifier field, enter an optional alphanumeric identifier for this property.
  5. Click Add to add naming properties.

The naming properties indicate how the object's name is displayed in the Directory Navigator and in the diagram. For example, if you have a property named CN that indicates Common Name, and you set the naming properties of the User object as CN, then the User object will be identified in the Directory Navigator and diagram by the value entered for the Common Name.

  6. On the Properties tab, click Add to assign mandatory properties to the class.
  7. Click Add to assign optional properties to the class.
  8. On the Advanced tab, if the class inherits its properties from another class, click the Superclass arrow to select the existing class from which the new class inherits its properties.
  • Optional: Enter a description explaining why this new class inherits another class's properties.
  • Select Virtual/Abstract, Container, or Extensible to define the class's characteristics.

Note If you define a class as Virtual/Abstract, you will not be able to use that class in a directory diagram. It will be grayed-out in the schema. You will only be able to use that class as a superclass to other classes.

  9. Click OK.

The class is added to the schema and can be added to the directory diagram.


Add a custom property to the schema (Directory services)

  1. In the Directory Navigator, expand the Schema icon.
  2. Right-click the Properties folder, and then choose Add Property Class from the shortcut menu.
  3. In the Property name field, assign a name that identifies the property in the schema.

Note Property names must be unique for each schema. You cannot have more than one property with the same name.

  4. Optional: Enter an alphanumeric identifier in the Property identifier field that identifies this property.
  5. In the Syntax field, select a syntax that indicates how a value for the property should be formatted.
  6. Enter a Maximum size that indicates the length of the alphanumeric string for the value.
  7. Click Allow multiple values to allow multiple values for the property.

For example, if the user object has the property Telephone Number, and that property has Allow Multiple Values selected, you will be able to enter more than one telephone number for the object's property.

If this field is not selected, you will only be able to enter one value.

  8. Click OK to save changes.

The new property is added to the Properties folder and can be assigned to any class.


Add or delete an extended property (Directory services)

Note You can add or delete extended properties for an object. You cannot delete any mandatory or optional properties; however, you can modify mandatory and optional property values.

Click to show or hide information. Add an extended property

  1. Right-click an object in the Directory Navigator or in the directory diagram and click Edit Properties on the shortcut menu.
  2. In the Edit Properties dialog box, select Show Extended Properties, and then click Add.
  3. In the Add Property dialog box, select a Property to add as extended, and then click OK.
  4. In the Edit Properties dialog box, add an optional value for the new extended property.
  5. Right-click an object in the Directory Navigator or in the directory diagram and click Edit Properties on the shortcut menu.
  6. In the Edit Properties dialog box, select Show Extended Properties, and then click Add.
  7. In the Add Property dialog box, choose a Property to add as extended, and then click OK.
  8. In the Edit Properties dialog box, add an optional value for the new extended property.

Click to show or hide information. Delete an extended property

  1. Right-click an object in the Directory Navigator or in the directory diagram and click Edit Properties on the shortcut menu.
  2. In the Edit Properties dialog box, select Show Extended Properties.

Any extended properties for the object are displayed.

  3. Click in the Value field of the extended property you want to delete, and then click Delete.

The extended property is removed from the list.


Manually connect objects in a directory diagram (Directory services)

  1. Drag the Directory connector [image] to the directory diagram.
  2. Drag one connector begin point [image] to the top or bottom connection point [image] of the parent object.
  3. Drag the other endpoint to the top or bottom connection point of the child object.

The objects are correctly connected. The relationship in the Directory Navigator is also updated.

Note You must always connect the bottom of the parent object to the top of the child object for the relationship to be correctly established.

The top of the User object must be connected to the bottom of the Organizational Unit object. This also automatically connects the objects in the Directory Navigator. This example shows an Active Directory user object as a child of an organizationalUnit parent object.


Edit a property (Directory services)

  1. In the Directory Navigator, expand the Schema icon.
  2. Expand the Properties folder.
  3. Right-click the property whose attributes you want to modify, and then choose Edit Properties Definition from the shortcut menu.
  4. In the Edit Properties Definition dialog box, change the fields you want, and then click OK.

If the property has already been used to define a class, a warning message appears asking if you want to change the properties of the class.

Click Yes to update the property and the corresponding classes in which it was used, or No to cancel the action.


Show child objects in a directory diagram

In the directory diagram, right-click the parent object for which you want to show all child objects, and then click Show Children.

All child levels to one level down from the parent object appear in the directory diagram.


Change default behavior options (Directory services)

  1. On the Directory Services menu, click Options.
  2. In the Directory Services Options dialog box, change default behavior options.


Add naming properties to a class (Directory services)

  1. In the Directory Navigator, expand the Schema.
  2. Open the Classes folder, right-click a class, and then click Edit Class.
  3. On the Identity tab, click Add.
  4. Select a property that will act as the naming property for the class, and then click OK.
  5. Repeat steps 1 through 4 to continue adding naming properties.

The values assigned to the properties for the class make up the name that is displayed for the object in the Directory Navigator and in the directory diagram.


Change an object's name (Directory services)

Do either of the following:

  • Select an object in the Directory Navigator or in the directory diagram, and then on the Directory Services menu, click Edit Properties. Enter the new values for the naming properties, and then click OK.

The name is automatically changed in both the Directory Navigator and in the directory diagram.

Note Use a semicolon (;) to separate multiple values for a property, with no spaces between the semicolon and each value. Multiple values for a naming property are allowed, but are not supported. If you enter multiple values for a naming property, only the first value entered in the field will appear as the property name.

For example, a User object has CN (Common Name), middleName, and SN (Surname) as its naming properties, and SN allows multiple values. If the value of CN is James, middleName is R, and the values of SN are both Glynn and Junior, the values for SN would be entered as Glynn;Junior. However, the Unqualified Name for this object would be James+R+Glynn.

  • In the directory diagram, select the object, and then type the new name.

Note To prevent problems in an export file format using Microsoft Visio, do not press ENTER after entering text.


Assign naming properties (Directory services)

The object name that appears by default in the Directory Navigator and in the directory diagram is the unqualified name. This name is determined by the naming properties set for the class and the values entered for the object.

When naming objects, each object based on the same class in the same branch of a tree must have a unique name. For example, if you have two User objects that are at the same level and have the same parent object, they cannot be named identically. If, however, both objects have different parents, they can have the same name.

Click to show or hide information. Add naming properties to a class

  1. In the Directory Navigator, expand the Schema.
  2. Open the Classes folder, right-click a class, and then click Edit Class.
  3. On the Identity tab, click Add.
  4. Select a property that will act as the naming property for the class, and then click OK.
  5. Repeat steps 1 through 4 to continue adding naming properties.

The values assigned to the properties for the class make up the name that is displayed for the object in the Directory Navigator and in the directory diagram.

Click to show or hide information. Change an object's name

Do either of the following:

  • Select an object in the Directory Navigator or in the directory diagram, and then on the Directory Services menu, click Edit Properties. Enter the new values for the naming properties, and then click OK.

The name is automatically changed in both the Directory Navigator and in the directory diagram.

Note Use a semicolon (;) to separate multiple values for a property, with no spaces between the semicolon and each value. Multiple values for a naming property are allowed, but are not supported. If you enter multiple values for a naming property, only the first value entered in the field will appear as the property name.

For example, a User object has CN (Common Name), middleName, and SN (Surname) as its naming properties, and SN allows multiple values. If the value of CN is James, middleName is R, and the values of SN are both Glynn and Junior, the values for SN would be entered as Glynn;Junior. However, the Unqualified Name for this object would be James+R+Glynn.

  • In the directory diagram, select the object, and then type the new name.

Note To prevent problems in an export file format using Microsoft Visio, do not press ENTER after entering text.


Apply a class to the Generic object shape (Directory services)

  1. Drag a Generic Shape from the stencil to the directory diagram.
  2. In the Select Class dialog box, select a class which will provide the properties for the shape. If you are using the Microsoft Active Directory solution, you can also apply a Microsoft Exchange extension as the base to the shape.
  3. Click OK.

The shape is added to the directory diagram and to the Directory Navigator. Its properties will be those of the class assigned to it, and the name displayed will be that of the class.

Note The object's icon will remain that of the stencil shape and will not change to that of the associated class.


Use a Smart partition, Partition, WAN, or Partition w/fade shape (Directory services)

  1. Drag a Smart partition, Partition, WAN, or Partition w/fade shape onto an object that serves as the parent object in the directory diagram.
  2. Glue a control handle [image] from the Smart partition shape to a connection point [image] on a child object.
  3. Repeat steps 1 and 2 to include up to eight objects in this partition.


Set replication using the Replication connection shape (Directory services)

  1. Drag the Replication connection shape to the directory diagram.
  2. Glue a begin point [image] on the Replication connection shape to a connection point [image] on a Server or a Database shape.
  3. Glue the end point [image] of the Replication connection shape to a connection point [image] on another Server or Database shape.

This creates the connection between the two data stores.

  4. Right-click the Replication connection shape and choose Unidirectional or Bi-directional from the shortcut menu.


Switch the relationship of parent and child objects (Directory services)

  1. In the directory diagram, delete the Directory connector [image] that connects the child object to the rest of the diagram.
  2. Drag the parent object on top of the disconnected former child object.

The parent object (and its remaining connected children, if any) becomes the child of the disconnected former child object. The latter becomes the new parent.


Add a virtual/abstract class to a directory diagram (Directory services)

Note You cannot directly add virtual/abstract classes to a directory diagram. Virtual/abstract classes are intended to be used only as superclasses to other classes. In some cases you may want to diagram your schema. If you want to diagram your schema, use the following method to set the properties of a virtual/abstract class so that you can add that class to a diagram.

  1. In the Directory Navigator, expand the Schema.
  2. Expand the Classes folder.
  3. Right-click a virtual class and click Edit Class.

Note Virtual classes appear as dimmed in the schema

  4. On the Advanced tab in the Edit Class dialog box, clear the Virtual/Abstract check box.
  5. Click OK.

Because the virtual class is no longer defined as a virtual class, you can then drag the class from the schema to the directory diagram.

  6. After adding the class to the directory diagram, redefine the class as a virtual/abstract class.

Click to show or hide information. How?

  1. Right-click the class for which you removed the virtual/abstract option, and click Edit Class
  2. On the Advanced tab in the Edit Class dialog box, select Virtual/Abstract.
  3. Click OK.

A warning box appears telling you that you have instances of that class in both the Directory Navigator and the directory diagram. You will be prompted to change the properties of any objects in the directory diagram.

Click Yes to continue the action or No to cancel it.